<?php
	$uri = 'operadores_moviles.php';	
	include_once($uri);
	//Tipo De Consulta (1,2,3....)
	if(isset($_GET['case']))
		$case = $_GET['case'];
	else 
		$case = $_POST['case'];

	switch($case)
	{
		// Obtener Distritos
		case 1:	
			$parametros = array(
				"sucursales"=>$_POST['sucursales']				
			);	
		break;
		// Obtener las zonas
		case 2:	
			$parametros = array(
				"distritos"=>$_POST['distritos']				
			);	
		break;
		// Eliminar
		case 3:	
			$parametros = array(
				"id"=>$_POST['id']				
			);	
		break;
		// Editar
		case 4:	
			$parametros = array(
				"nombre_apellido"=>$_POST['nombre_apellido'],
				"numero_operador"=>$_POST['numero_operador'],
				"localizacion_jerarquica"=>$_POST['localizacion_jerarquica']				
			);	
		break;
		// Nuevo
		case 6:	
			$parametros = array(
				"nombre_apellido"=>$_POST['nombre_apellido'],
				"numero_operador"=>$_POST['numero_operador'],
				"localizacion_jerarquica"=>$_POST['localizacion_jerarquica']				
			);	
		break;
	}
	$operadores_moviles = new operadores_moviles();	
	switch($case){
		case 1: 
			echo $operadores_moviles->GetDistritosBySucursalID($parametros);			
			break;
		case 2: 
			echo $operadores_moviles->GetZonasByDistritosID($parametros);			
			break;
		case 3: 
			echo $operadores_moviles->Eliminar($parametros);			
			break;
		case 4: 
			echo $operadores_moviles->Editar($parametros);			
			break;
		case 5: 
			echo $operadores_moviles->GetOperadoresMovilesSinLJSon();			
			break;
		case 6: 
			echo $operadores_moviles->Nuevo($parametros);			
			break;			
	}

?>